# List Price Plans GET /api/v1/payments/price-plans/ Retrieves all available price plans. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/payments/price-plans-retrieve ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/payments/price-plans/: get: operationId: price-plans-retrieve summary: List Price Plans description: Retrieves all available price plans. tags: - subpackage_payments responses: '200': description: List of price plans content: application/json: schema: $ref: '#/components/schemas/PricePlan' '401': description: Unauthorized content: application/json: schema: description: Any type components: schemas: PricePlan: type: object properties: id: type: integer product_id: type: string price_id: type: string amount: type: string format: decimal currency: type: string interval: type: string description: type: string required: - id - product_id - price_id - amount - currency - interval - description title: PricePlan ``` ## SDK Code Examples ```python Price Plans Example import requests url = "https://api.example.com/api/v1/payments/price-plans/" payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Price Plans Example const url = 'https://api.example.com/api/v1/payments/price-plans/'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Price Plans Example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/payments/price-plans/" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Price Plans Example require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/payments/price-plans/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Price Plans Example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/payments/price-plans/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Price Plans Example request('GET', 'https://api.example.com/api/v1/payments/price-plans/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Price Plans Example using RestSharp; var client = new RestClient("https://api.example.com/api/v1/payments/price-plans/"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Price Plans Example import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/payments/price-plans/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```